approveContentSubmission
POST
/api/v1/content-submissions/{id}/approve
const url = 'https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve';const options = { method: 'POST', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "note": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
note
string
Examplegenerated
{ "note": "example"}Responses
Section titled “ Responses ”Submission approved or automatically published
Submission is no longer actionable
Self-approval or review validation failed